> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get currency by code



## OpenAPI

````yaml get /v1/currencies/{code}
openapi: 3.0.0
info:
  title: Corebanq - Currencies API
  description: API endpoints for currency management and exchange rates
  version: 1.0.0
servers: []
security: []
paths:
  /v1/currencies/{code}:
    get:
      summary: Get currency by code
      parameters:
        - name: code
          in: path
          required: true
          schema:
            type: string
            minLength: 3
            maxLength: 3
      responses:
        '200':
          description: Currency details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrencyResponse'
components:
  schemas:
    CurrencyResponse:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        symbol:
          type: string
        decimal_places:
          type: integer
        active:
          type: boolean

````